#
# spec file for package python-Levenshtein
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-Levenshtein
Version:        0.12.0
Release:        4.3
Summary:        Python extension computing string distances and similarities
License:        GPL-2.0-or-later
Group:          Development/Languages/Python
URL:            https://github.com/ztane/python-Levenshtein/
Source0:        https://files.pythonhosted.org/packages/source/p/python-Levenshtein/python-Levenshtein-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%python_subpackages

%description
The Levenshtein Python C extension module contains functions for fast
computation of

 * Levenshtein (edit) distance, and edit operations
 * string similarity
 * approximate median strings, and generally string averaging
 * string sequence and set similarity

It supports both normal and Unicode strings.

%prep
%setup -q

%build
%python_build

%install
%python_install
rm -v %{buildroot}%{_libdir}/python*/*/Levenshtein/_levenshtein.{c,h}
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%files %{python_files}
%license COPYING
%doc HISTORY.txt README.rst NEWS
%{python_sitearch}/*

%changelog
* Thu Aug  2 2018 tchvatal@suse.com
- Install license file
- Remove duplicates
* Fri Jun 30 2017 jmatejek@suse.com
- convert to singlespec
- drop *.c and *.h from installed package
* Sun Dec 21 2014 termim@gmail.com
- updated to version 0.12
  * Fixed a bug in StringMatcher.StringMatcher.get_matching_blocks /
    extract_editops for Python 3; now allow only `str` editops on both
    Python 2 and Python 3, for simpler and working code.
  * Added documentation in the source distribution and in GIT
  * Fixed the package layout: renamed the .so/.dll to _levenshtein, and
    made it reside inside a package, along with the StringMatcher class.
  * Fixed spelling errors.
- updated to version 0.11.2
  * Fixed a bug in setup.py: installation would fail on Python 3 if the
    locale  did not specify UTF-8 charset (Felix Yan).
  * Added COPYING, StringMatcher.py, gendoc.sh and NEWS in MANIFEST.in, as
    they  were missing from source distributions.
* Thu Jan 30 2014 elchevive@opensuse.org
- updated to version 0.11.1
  * Added Python 3 support
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Tue Jan 31 2012 saschpe@suse.de
- Simplified macro usage
- Don't package PKG-INFO or MANIFEST, this is setuptools bloat
- Removed outdated %%clean section
* Tue Jan 31 2012 elchevive@opensuse.org
- change from python-setuptools to python-distribute
* Thu Jan 26 2012 elchevive@opensuse.org
- spec cleaning, remove --record-from-files
* Fri Nov 26 2010 cfarrell@novell.com
- initial build. this package is needed to build and use the python wurfl package
